FileRegionMemAccessor Class Reference

`#include <trc_mem_acc_file.h>`

Inheritance diagram for FileRegionMemAccessor:
[legend]
Collaboration diagram for FileRegionMemAccessor:
[legend]

## Public Member Functions

| FileRegionMemAccessor ()
virtual | ~FileRegionMemAccessor ()
void | setOffset (const size_t offset)
const size_t | getOffset () const
bool | operator< (const FileRegionMemAccessor &rhs)
virtual const uint32_t | readBytes (const ocsd_vaddr_t s_address, const ocsd_mem_space_acc_t memSpace, const uint8_t trcID, const uint32_t reqBytes, uint8_t *byteBuffer)
const ocsd_vaddr_t | regionStartAddress () const
Public Member Functions inherited from TrcMemAccessorBase
| TrcMemAccessorBase (MemAccTypes type)
| TrcMemAccessorBase (MemAccTypes type, ocsd_vaddr_t startAddr, ocsd_vaddr_t endAddr)
virtual | ~TrcMemAccessorBase ()
void | setRange (ocsd_vaddr_t startAddr, ocsd_vaddr_t endAddr)
virtual const bool | addrInRange (const ocsd_vaddr_t s_address) const
virtual const bool | addrStartOfRange (const ocsd_vaddr_t s_address) const
virtual const uint32_t | bytesInRange (const ocsd_vaddr_t s_address, const uint32_t reqBytes) const
virtual const bool | overLapRange (const TrcMemAccessorBase *p_test_acc) const
virtual const bool | validateRange ()
enum MemAccTypes | getType () const
void | setMemSpace (ocsd_mem_space_acc_t memSpace)
const ocsd_mem_space_acc_t | getMemSpace () const
const bool | inMemSpace (const ocsd_mem_space_acc_t mem_space) const
virtual void | getMemAccString (std::string &accStr) const

## Additional Inherited Members

Public Types inherited from TrcMemAccessorBase
enum | MemAccTypes { MEMACC_UNKNOWN , MEMACC_FILE , MEMACC_BUFPTR , MEMACC_CB_IF }
Protected Attributes inherited from TrcMemAccessorBase
ocsd_vaddr_t | m_startAddress
ocsd_vaddr_t | m_endAddress
const MemAccTypes | m_type
ocsd_mem_space_acc_t | m_mem_space

## Detailed Description

Definition at line 47 of file trc_mem_acc_file.h.

## Constructor & Destructor Documentation

## FileRegionMemAccessor()

FileRegionMemAccessor::FileRegionMemAccessor | ( |  | ) |

inline

Definition at line 50 of file trc_mem_acc_file.h.

## ~FileRegionMemAccessor()

virtual FileRegionMemAccessor::~FileRegionMemAccessor | ( |  | ) |

inline virtual

Definition at line 51 of file trc_mem_acc_file.h.

## Member Function Documentation

## getOffset()

const size_t FileRegionMemAccessor::getOffset | ( |  | ) | const

inline

Definition at line 54 of file trc_mem_acc_file.h.

## operator<()

bool FileRegionMemAccessor::operator< | ( | const FileRegionMemAccessor & | rhs | ) |

inline

Definition at line 56 of file trc_mem_acc_file.h.

## readBytes()

virtual const uint32_t FileRegionMemAccessor::readBytes | ( | const ocsd_vaddr_t | s_address,
|  | const ocsd_mem_space_acc_t | memSpace,
|  | const uint8_t | trcID,
|  | const uint32_t | reqBytes,
|  | uint8_t * | byteBuffer
| ) |  |

inline virtual

Read bytes from via the accessor from the memory range.

Parameters

  s_address | : Start address of the read.
  memSpace | : memory space for this access.
  trcID | : Trace ID of trace source.
  reqBytes | : Number of bytes required.
  *byteBuffer | : Buffer to copy the bytes into.

Returns
  uint32_t : Number of bytes read, 0 if s_address out of range, or mem space not accessible.

Implements TrcMemAccessorBase.

Definition at line 59 of file trc_mem_acc_file.h.

## regionStartAddress()

const ocsd_vaddr_t FileRegionMemAccessor::regionStartAddress | ( |  | ) | const

inline

Definition at line 61 of file trc_mem_acc_file.h.

## setOffset()

void FileRegionMemAccessor::setOffset | ( | const size_t | offset | ) |

inline

Definition at line 53 of file trc_mem_acc_file.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/mem_acc/trc_mem_acc_file.h